
QGIS Application - Bug report #19039

Crash when editing map grid in composer

2018-05-27 03:00 PM - Antoine Lafranchis

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Map Composer/Printing

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26869

Description

User Feedback

In layout composer, just after trying to copy-paste a grid with Ctrl C and Ctrl V (which doesn't work), I double clicked on an existing grid to

edit it, at that moment Qgis crashed.

Report Details

Crash ID: bd2d7ce65650661bb927f62fd4e07d283312d1c1

Stack Trace

QgsLayoutItemMapItem::enabled :

QgsAttributeTypeDialog::constraintExpressionEnforced :

QMetaObject::activate :

QListWidgetItem::`default constructor closure' :

QMetaObject::activate :

QItemSelectionModel::setCurrentIndex :

QAbstractItemView::mousePressEvent :

QAbstractItemView::mouseDoubleClickEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2018-06-04 03:49 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

- Status changed from Open to Feedback

I'm not able to reproduce this issue, can you please attach a minimal project and step-by-step procedure to reproduce it?

#2 - 2018-06-04 05:51 PM - Antoine Lafranchis

The crash is not reproductible for me neither. It only happened once.

#3 - 2018-06-04 05:54 PM - Alessandro Pasotti

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Thanks for reporting this issue, if you have any new evidence, please re-open or file a new one and link to this issue.
